## Assemblies

### Synopsis

#include <metadata/assembly.h> typedef struct _MonoImage MonoImage; typedef struct _MonoAssembly MonoAssembly; @API_IDX@

### Assembly Loading

#### mono_assembly_open

#### mono_assembly_close

#### mono_assembly_load

#### mono_assembly_load_full

#### mono_assembly_loaded

#### mono_assembly_get_object

### Working with Assemblies

#### mono_assembly_get_image

#### mono_assembly_get_main

#### mono_assembly_getrootdir

### Assembly Names

The MonoAssemblyName contains the full identity of an assembly (name, culture, public key, public key token, version and any other flags).

These unmanaged objects represent the System.Reflection.AssemblyName managed type.

#### mono_assembly_name_free

#### mono_stringify_assembly_name

#### mono_assembly_names_equal

### Modules

An assembly is made up of one or more modules.

#### mono_module_file_get_object

#### mono_module_get_object